Create a disk
PUT
/v1/disks/{disk}PUT
/v1/disks/{disk}
const url = 'https://api.wabe.sh/v1/disks/demo';const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.wabe.sh/v1/disks/demo \ --header 'Authorization: Bearer <token>'Reserve a disk name in the current project. Data requests activate the disk on demand.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”disk
required
string
Example
demoDisk name in the current project.
Responses
Section titled “Responses”New or existing disk.
Media typeapplication/json
object
name
required
string
Example
{ "name": "demo"}Invalid disk name.
Media typeapplication/json
object
error
required
string
message
required
string
Missing, invalid or revoked project API key.
Media typeapplication/json
object
error
required
string
message
required
string
Organization disk limit reached.
Media typeapplication/json
object
error
required
string
message
required
string